opencv: cv::FernClassifier Class Reference

Classes | Public Types | Public Member Functions | Protected Member Functions | Protected Attributes

# cv::FernClassifier Class Reference

`#include <features2d.hpp>`

List of all members.

## Classes
struct | Feature
## Public Types
enum | { PATCH_SIZE = 31, DEFAULT_STRUCTS = 50, DEFAULT_STRUCT_SIZE = 9, DEFAULT_VIEWS = 5000, DEFAULT_SIGNATURE_SIZE = 176, COMPRESSION_NONE = 0, COMPRESSION_RANDOM_PROJ = 1, COMPRESSION_PCA = 2, DEFAULT_COMPRESSION_METHOD = COMPRESSION_NONE }
## Public Member Functions
virtual void | clear ()
| FernClassifier ()
| FernClassifier (const FileNode &node)
| FernClassifier (const vector< vector< Point2f > > &points, const vector< Mat > &refimgs, const vector< vector< int > > &labels=vector< vector< int > >(), int _nclasses=0, int _patchSize=PATCH_SIZE, int _signatureSize=DEFAULT_SIGNATURE_SIZE, int _nstructs=DEFAULT_STRUCTS, int _structSize=DEFAULT_STRUCT_SIZE, int _nviews=DEFAULT_VIEWS, int _compressionMethod=COMPRESSION_NONE, const PatchGenerator &patchGenerator=PatchGenerator())
int | getClassCount () const
int | getCompressionMethod () const
Size | getPatchSize () const
int | getSignatureSize () const
int | getStructCount () const
int | getStructSize () const
virtual int | operator() (const Mat &img, Point2f kpt, vector< float > &signature) const
virtual int | operator() (const Mat &patch, vector< float > &signature) const
virtual void | read (const FileNode &n)
void | setVerbose (bool verbose)
virtual void | train (const vector< vector< Point2f > > &points, const vector< Mat > &refimgs, const vector< vector< int > > &labels=vector< vector< int > >(), int _nclasses=0, int _patchSize=PATCH_SIZE, int _signatureSize=DEFAULT_SIGNATURE_SIZE, int _nstructs=DEFAULT_STRUCTS, int _structSize=DEFAULT_STRUCT_SIZE, int _nviews=DEFAULT_VIEWS, int _compressionMethod=COMPRESSION_NONE, const PatchGenerator &patchGenerator=PatchGenerator())
virtual void | trainFromSingleView (const Mat &image, const vector< KeyPoint > &keypoints, int _patchSize=PATCH_SIZE, int _signatureSize=DEFAULT_SIGNATURE_SIZE, int _nstructs=DEFAULT_STRUCTS, int _structSize=DEFAULT_STRUCT_SIZE, int _nviews=DEFAULT_VIEWS, int _compressionMethod=COMPRESSION_NONE, const PatchGenerator &patchGenerator=PatchGenerator())
virtual void | write (FileStorage &fs, const String &name=String()) const
virtual | ~FernClassifier ()
## Protected Member Functions
virtual void | finalize (RNG &rng)
virtual int | getLeaf (int fidx, const Mat &patch) const
virtual void | prepare (int _nclasses, int _patchSize, int _signatureSize, int _nstructs, int _structSize, int _nviews, int _compressionMethod)
## Protected Attributes
vector< int > | classCounters
int | compressionMethod
vector< Feature > | features
int | leavesPerStruct
int | nclasses
int | nstructs
Size | patchSize
vector< float > | posteriors
int | signatureSize
int | structSize
bool | verbose

## Member Enumeration Documentation

anonymous enum

Enumerator:

  PATCH_SIZE |
  DEFAULT_STRUCTS |
  DEFAULT_STRUCT_SIZE |
  DEFAULT_VIEWS |
  DEFAULT_SIGNATURE_SIZE |
  COMPRESSION_NONE |
  COMPRESSION_RANDOM_PROJ |
  COMPRESSION_PCA |
  DEFAULT_COMPRESSION_METHOD |

## Constructor & Destructor Documentation

cv::FernClassifier::FernClassifier | ( | ) |

cv::FernClassifier::FernClassifier | ( | const FileNode & | node ) |

cv::FernClassifier::FernClassifier | ( | const vector< vector< Point2f > > & | points,
|  | const vector< Mat > & | refimgs,
|  | const vector< vector< int > > & | labels = `vector< vector< int > >()`,
|  | int | _nclasses = `0`,
|  | int | _patchSize = `PATCH_SIZE`,
|  | int | _signatureSize = `DEFAULT_SIGNATURE_SIZE`,
|  | int | _nstructs = `DEFAULT_STRUCTS`,
|  | int | _structSize = `DEFAULT_STRUCT_SIZE`,
|  | int | _nviews = `DEFAULT_VIEWS`,
|  | int | _compressionMethod = `COMPRESSION_NONE`,
|  | const PatchGenerator & | patchGenerator = `PatchGenerator()`
| ) |  |

virtual cv::FernClassifier::~FernClassifier | ( | ) | `[virtual]`

## Member Function Documentation

virtual void cv::FernClassifier::clear | ( | ) | `[virtual]`

virtual void cv::FernClassifier::finalize | ( | RNG & | rng ) | `[protected, virtual]`

int cv::FernClassifier::getClassCount | ( | ) | const

int cv::FernClassifier::getCompressionMethod | ( | ) | const

virtual int cv::FernClassifier::getLeaf | ( | int | fidx,
|  | const Mat & | patch
| ) |  | const`[protected, virtual]`

Size cv::FernClassifier::getPatchSize | ( | ) | const

int cv::FernClassifier::getSignatureSize | ( | ) | const

int cv::FernClassifier::getStructCount | ( | ) | const

int cv::FernClassifier::getStructSize | ( | ) | const

virtual int cv::FernClassifier::operator() | ( | const Mat & | img,
|  | Point2f | kpt,
|  | vector< float > & | signature
| ) |  | const`[virtual]`

virtual int cv::FernClassifier::operator() | ( | const Mat & | patch,
|  | vector< float > & | signature
| ) |  | const`[virtual]`

virtual void cv::FernClassifier::prepare | ( | int | _nclasses,
|  | int | _patchSize,
|  | int | _signatureSize,
|  | int | _nstructs,
|  | int | _structSize,
|  | int | _nviews,
|  | int | _compressionMethod
| ) |  | `[protected, virtual]`

virtual void cv::FernClassifier::read | ( | const FileNode & | n ) | `[virtual]`

void cv::FernClassifier::setVerbose | ( | bool | verbose ) |

virtual void cv::FernClassifier::train | ( | const vector< vector< Point2f > > & | points,
|  | const vector< Mat > & | refimgs,
|  | const vector< vector< int > > & | labels = `vector< vector< int > >()`,
|  | int | _nclasses = `0`,
|  | int | _patchSize = `PATCH_SIZE`,
|  | int | _signatureSize = `DEFAULT_SIGNATURE_SIZE`,
|  | int | _nstructs = `DEFAULT_STRUCTS`,
|  | int | _structSize = `DEFAULT_STRUCT_SIZE`,
|  | int | _nviews = `DEFAULT_VIEWS`,
|  | int | _compressionMethod = `COMPRESSION_NONE`,
|  | const PatchGenerator & | patchGenerator = `PatchGenerator()`
| ) |  | `[virtual]`

virtual void cv::FernClassifier::trainFromSingleView | ( | const Mat & | image,
|  | const vector< KeyPoint > & | keypoints,
|  | int | _patchSize = `PATCH_SIZE`,
|  | int | _signatureSize = `DEFAULT_SIGNATURE_SIZE`,
|  | int | _nstructs = `DEFAULT_STRUCTS`,
|  | int | _structSize = `DEFAULT_STRUCT_SIZE`,
|  | int | _nviews = `DEFAULT_VIEWS`,
|  | int | _compressionMethod = `COMPRESSION_NONE`,
|  | const PatchGenerator & | patchGenerator = `PatchGenerator()`
| ) |  | `[virtual]`

virtual void cv::FernClassifier::write | ( | FileStorage & | fs,
|  | const String & | name = `String()`
| ) |  | const`[virtual]`

## Member Data Documentation

vector<int> cv::FernClassifier::classCounters`[protected]`

int cv::FernClassifier::compressionMethod`[protected]`

vector<Feature> cv::FernClassifier::features`[protected]`

int cv::FernClassifier::leavesPerStruct`[protected]`

int cv::FernClassifier::nclasses`[protected]`

int cv::FernClassifier::nstructs`[protected]`

Size cv::FernClassifier::patchSize`[protected]`

vector<float> cv::FernClassifier::posteriors`[protected]`

int cv::FernClassifier::signatureSize`[protected]`

int cv::FernClassifier::structSize`[protected]`

bool cv::FernClassifier::verbose`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines